package cn.com.countrygarden.bi.main.service.investment;

import javax.servlet.http.HttpServletRequest;

import org.apache.http.HttpRequest;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ManagerMapOrganTreeDTO;
import cn.com.countrygarden.bi.main.dto.investment.InvestRegionTotalDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.investment.InvestRegionTotal;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 区域投资-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-15
 */
public interface InvestRegionTotalService {
	 Result findAllCommByUserCode( AccessToken accessToken);
    Result queryPageList(InvestRegionTotalDTO investRegionInvestmentDto,AccessToken accessToken);

    Result queryById(Integer id);
    InvestRegionTotal findRegionTotalOne(Integer id);

    Result add(InvestRegionTotal investRegionInvestment, AccessToken accessToken);

    Result edit(InvestRegionTotal investRegionInvestment, AccessToken accessToken);

    Result del(Integer id);
    
    Result getOrganTreeInvestmentNameAndRegionId();
	Result getProjectSelect(ManagerMapOrganTreeDTO managerMapOrganTreeDTO);
	Result getRegionList(AccessToken accessToken);
}